/*
 * Created on Jun 13, 2003
 */
package core;

/**
 * @author Xavier Didelot
 */

public class Tag {

	private String code;

	public Tag() {
		super();
		code="";
	}
	
	public Tag(String str) {
		code=str;
	}
	
	public void addNonce() {
		code=code+"N";
	}
	
	public void addAgent() {
		code=code+"A";
	}

	public void encPub() {
		code="P"+code+")";
	}
	
	public void encSec() {
		code="S"+code+")";
	}

	public void encKey() {
		code="K"+code+")";
	}

	public String getCode() {
		return code;
	}
}
